Bug 198087 - [PATCH] graphics/djvulibre: Update to 3.5.27
Summary: [PATCH] graphics/djvulibre: Update to 3.5.27
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 196409
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-28 03:07 UTC by lightside
Modified: 2016-06-14 18:04 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
Proposed patch (since 370129 revision) (10.67 KB, patch)
2015-02-28 03:07 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10 amd64) (57.70 KB, text/plain)
2015-02-28 03:08 UTC, lightside
no flags Details
Proposed patch (since 386200 revision) (10.74 KB, patch)
2015-05-13 17:24 UTC, lightside
no flags Details | Diff
Proposed patch (since 390310 revision) (10.71 KB, patch)
2015-09-27 22:56 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (59.42 KB, text/plain)
2015-09-27 23:59 UTC, lightside
no flags Details
Proposed patch (since 412346 revision) (10.67 KB, patch)
2016-04-03 06:49 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64): converters/pdf2djvu (32.08 KB, text/plain)
2016-06-12 16:41 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64): graphics/zathura-djvu (40.90 KB, text/plain)
2016-06-12 17:17 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64): graphics/djview4 (12.63 KB, application/x-bzip2)
2016-06-12 18:01 UTC, lightside
no flags Details
Proposed patch (since 412346 revision) (10.76 KB, patch)
2016-06-13 13:44 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (59.83 KB, text/plain)
2016-06-13 13:44 UTC, lightside
no flags Details
Proposed patch (since 412346 revision) (10.77 KB, patch)
2016-06-13 13:46 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (59.70 KB, text/plain)
2016-06-13 13:50 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64, with DJVU=on): print/qpdfview (11.79 KB, application/x-bzip2)
2016-06-13 15:07 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64): graphics/atril-lite (19.62 KB, application/x-bzip2)
2016-06-13 17:03 UTC, lightside
no flags Details
Proposed patch (since 412346 revision) (10.79 KB, patch)
2016-06-13 19:07 UTC, lightside
no flags Details | Diff
Proposed patch (since 416860 revision) (4.26 KB, patch)
2016-06-14 01:29 UTC, lightside
no flags Details | Diff
Generated and prebuilt icons in archive for comparison (133.76 KB, application/x-bzip2)
2016-06-14 07:25 UTC, lightside
no flags Details
Proposed patch (since 416860 revision) (3.36 KB, patch)
2016-06-14 12:38 UTC, lightside
no flags Details | Diff
Proposed patch (since 416860 revision) (3.37 KB, patch)
2016-06-14 13:12 UTC, lightside
no flags Details | Diff
Proposed patch (since 412346 revision): graphics/djview4 (1.76 KB, patch)
2016-06-14 14:00 UTC, lightside
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2015-02-28 03:07:49 UTC
Created attachment 153596 [details]
Proposed patch (since 370129 revision)

Patch to update graphics/djvulibre port from 3.5.25.3 to 3.5.27 version.

Look following link for changes:
http://sourceforge.net/p/djvu/djvulibre-git/ci/487ed1/tree/NEWS?diff=aa7ad2

- Adapt MASTER_SITES
- Add LICENSE_FILE
- Add build dependency from graphics/librsvg2 for icon generation
- Use install-strip for INSTALL_TARGET to strip files
- Add "gmake" and "shared-mime-info" to USES
- Change docs installation method to use COPYTREE_SHARE
- Convert some static patches to sed patches
- Adapt pkg-plist file
Comment 1 Bugzilla Automation freebsd_committer 2015-02-28 03:07:49 UTC
Auto-assigned to maintainer bf@FreeBSD.org
Comment 2 lightside 2015-02-28 03:08:34 UTC
Created attachment 153598 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 3 lightside 2015-03-30 17:01:50 UTC
Hello, Brendan Fabeny.

Thanks for your attention.

Actually, there is some complex situation with other PRs. There is still no attention to bug 196409, which improves 4.9 version of graphics/djview4 and depends on previous version of graphics/djvulibre to work. But also, with new graphics/djvulibre version, there is updated graphics/djview4 version in bug 198088.

I think, that bug 196409 should be resolved first. Then current bug 198087 and bug 198088.
Could you process mentioned graphics/djview4 PRs, where there is no maintainer/committer?
Comment 4 Brendan Fabeny freebsd_committer 2015-04-18 14:39:03 UTC
Yes, I'll try to fix the dependent port at the same time.
Comment 5 lightside 2015-05-13 17:24:04 UTC
Created attachment 156753 [details]
Proposed patch (since 386200 revision)

Updated patch after ports r386200 changes.
Comment 6 lightside 2015-09-27 22:56:18 UTC
Created attachment 161464 [details]
Proposed patch (since 390310 revision)

Updated patch after ports r390310 changes.
Comment 7 lightside 2015-09-27 23:59:23 UTC
Created attachment 161465 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 8 lightside 2015-09-28 00:15:57 UTC
The bug 196409 was resolved. Thanks to Ruslan Makhmatkhanov.

There is a new update for graphics/djview4 port to v4.10.3, which I plan to upload for bug 198088, after some fix for previous version and available poudriere testport logs.
Comment 9 lightside 2015-09-28 11:14:59 UTC
(In reply to comment #8)
> There is a new update for graphics/djview4 port to v4.10.3,
> which I plan to upload for bug 198088, after some fix for
> previous version and available poudriere testport logs.

Done, for djvulibre 3.5.25.3 and 3.5.27.
Comment 10 lightside 2016-04-03 06:49:24 UTC
Created attachment 168917 [details]
Proposed patch (since 412346 revision)

Patch updated after removal of "${PORTSDIR}/" from dependencies in ports r412346.
Comment 11 Kurt Jaeger freebsd_committer 2016-06-12 14:43:49 UTC
testbuilds@work
Comment 12 Kurt Jaeger freebsd_committer 2016-06-12 15:14:54 UTC
testbuilds are fine. Testbuilds for depends are needed:

converters/pdf2djvu
deskutils/recoll
graphics/zathura-djvu
graphics/djview4
graphics/evince
graphics/apvlv
graphics/okular
graphics/gscan2pdf
graphics/llpp/pkg-message
graphics/djvulibre
graphics/ImageMagick
graphics/atril
graphics/ImageMagick7
print/qpdfview
x11/leechcraft
Comment 13 lightside 2016-06-12 16:41:22 UTC
Created attachment 171343 [details]
The poudriere testport log (FreeBSD 10.2 amd64): converters/pdf2djvu

(In reply to comment #12)
> Testbuilds for depends are needed
The converters/pdf2djvu builds fine (while ignoring other errors of new stage-qa).
Comment 14 lightside 2016-06-12 17:17:40 UTC
Created attachment 171345 [details]
The poudriere testport log (FreeBSD 10.2 amd64): graphics/zathura-djvu

The graphics/zathura-djvu builds fine.
Comment 15 lightside 2016-06-12 18:01:02 UTC
Created attachment 171348 [details]
The poudriere testport log (FreeBSD 10.2 amd64): graphics/djview4

The graphics/djview4 builds fine (while ignoring other errors of new stage-qa).
This PR was a companion update for graphics/djview4 v4.10.3 (bug 198088 through bug 196409).
Comment 16 lightside 2016-06-13 13:44:17 UTC
Created attachment 171378 [details]
Proposed patch (since 412346 revision)

- Use new options helpers
- Remove bsd.port.options.mk include.

The new portlint suggests to use INSTALLS_ICONS=yes, but this is not a GTK+ application (with gtk-update-icon-cache dependency). It uses shared-mime-info.
Comment 17 lightside 2016-06-13 13:44:42 UTC
Created attachment 171379 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 18 lightside 2016-06-13 13:46:23 UTC
Created attachment 171380 [details]
Proposed patch (since 412346 revision)

Added .SILENT.
Comment 19 lightside 2016-06-13 13:50:36 UTC
Created attachment 171381 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 20 lightside 2016-06-13 15:07:30 UTC
Created attachment 171390 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with DJVU=on): print/qpdfview

The print/qpdfview builds fine (while ignoring other errors of new stage-qa: USE_QT4+=corelib may be needed).
Comment 21 lightside 2016-06-13 17:03:03 UTC
Created attachment 171393 [details]
The poudriere testport log (FreeBSD 10.2 amd64): graphics/atril-lite

The graphics/atril-lite builds fine (while ignoring other errors of new stage-qa).
Comment 22 lightside 2016-06-13 19:07:30 UTC
Created attachment 171397 [details]
Proposed patch (since 412346 revision)

Moved installation of docs to post-install-DOCS-on stage.
Used previous approach to silence patching.
Added INSTALLS_ICONS=yes, because of following message after installation:
-8<--
*** You must still update various caches with:
*** # update-mime-database /usr/local/share/mime
*** # update-icon-caches /usr/local/share/icons/hicolor
-->8-

Looks like, the gtk-update-icon-cache is alternative to update-icon-caches:
http://manpages.ubuntu.com/manpages/precise/man8/update-icon-caches.8.html
http://manpages.ubuntu.com/manpages/precise/man1/gtk-update-icon-cache.1.html
Comment 23 Kurt Jaeger freebsd_committer 2016-06-13 19:17:47 UTC
Testbuilds for depends all done, look fine.
Comment 24 commit-hook freebsd_committer 2016-06-13 19:19:14 UTC
A commit references this bug:

Author: pi
Date: Mon Jun 13 19:19:05 UTC 2016
New revision: 416860
URL: https://svnweb.freebsd.org/changeset/ports/416860

Log:
  graphics/djvulibre: 3.5.25.3 -> 3.5.27

  - simplified configuration scripts
  - deadlock fixes
  - Thread safe miniexp
  - Now using the standard autotools approach (thanks to Vincent Torri).
  - New windows installer (thanks to Konstantin Kravtsov).
  - General speedup thanks to lock-free smart pointers.
  - ddjvu can produce one file per page.
  - djvused can now set the default page orientation.
  - Bug fixes all around.

  PR:		198087
  Submitted by:	lightside@gmx.com
  Approved by:	bf (maintainer timeout)

Changes:
  head/graphics/djvulibre/Makefile
  head/graphics/djvulibre/distinfo
  head/graphics/djvulibre/files/
  head/graphics/djvulibre/pkg-plist
Comment 25 Kurt Jaeger freebsd_committer 2016-06-13 19:20:07 UTC
Committed, thanks to the submitter for the patience and eye for detail!
Comment 26 lightside 2016-06-13 19:27:25 UTC
(In reply to comment #22)
> Added INSTALLS_ICONS=yes
Still not sure if this is needed, because of following description in ports:
INSTALLS_ICONS - If a GTK+ port installs Freedesktop-style icons to ${LOCALBASE}/share/icons, then you should use this macro. Using this macro ensures that icons are cached and will display correctly. This macro isn't needed for QT based applications, which use a different method.

For example, the graphics/djview4 is QT application and INSTALLS_ICONS=yes not needed (according to description), while graphics/zathura-djvu is GTK+ related and may benefit from this. Still, the developer suggested to use update-icon-caches after installation, which is not available in FreeBSD ports (or I just didn't find it).

(In reply to Kurt Jaeger from comment #25)
Thanks for your attention, commit and testbuilds.
Comment 27 lightside 2016-06-14 01:26:54 UTC
I spotted, that currently generated icons are wrong in scale, because of some differences in a new graphics/librsvg2 (2.40.13), while it was ok for previous version (2.40.6,1), when I submitted this PR. The same for icons in graphics/djview4 port.
Comment 28 lightside 2016-06-14 01:29:46 UTC
Created attachment 171407 [details]
Proposed patch (since 416860 revision)

I decided to propose following changes, which allow to choose which icons and mime types to install: none, prebuilt, generated.

- Bump PORTREVISION
- Add single options for installation of desktop files: NONE, PREBUILT, GENERATED
- Set PREBUILT option by default
- Add commands for PREBUILT option in post-build and post-install stages
- Adapt pkg-plist
Comment 29 lightside 2016-06-14 07:25:59 UTC
Created attachment 171409 [details]
Generated and prebuilt icons in archive for comparison

Added archive with generated and prebuilt icons for comparison. In "generated" directory you can see, that icons are wrong in scale, while in "prebuilt" directory they are ok.
Comment 30 lightside 2016-06-14 12:38:28 UTC
Created attachment 171422 [details]
Proposed patch (since 416860 revision)

As I understand, there are facilities in the build scripts to use prebuilt icons, instead of generation of them with using conversion tool. Therefore, I propose different approach:

- Bump PORTREVISION
- Remove graphics/librsvg2 from build dependency
- Add DESKTOPFILES option for installation of icons and mime types
- Use prebuilt icons instead of conversion tool to generate them
- Adapt pkg-plist

Overall, this may fix issue, which I found, while gives the possibility to not install icons and mime types at all (without INSTALLS_ICONS dependency), if needed.
Comment 31 lightside 2016-06-14 13:12:01 UTC
Created attachment 171423 [details]
Proposed patch (since 416860 revision)

Clarified patch for conversion_tool=no.
Comment 32 lightside 2016-06-14 14:00:01 UTC
Created attachment 171425 [details]
Proposed patch (since 412346 revision): graphics/djview4

The same possible to do for graphics/djview4 port, without DESKTOPFILES option, because there is a need to install icons for desktop entry:
- Bump PORTREVISION
- Remove graphics/librsvg2 from build dependency
- Add gettext-runtime to USES and glib20 to USE_GNOME, because webplugin depends from them
- Add xext to USE_XORG
- Remove CPPFLAGS and LDFLAGS; add localbase to USES
- Remove verbose flag from MAKE_ENV
- Add corelib to USE_QT4
- Add x11 to USE_XORG in case of QT4 usage
- Add core to USE_QT5
- Add sed patch to use prebuilt icons instead of conversion tool to generate them
Comment 33 commit-hook freebsd_committer 2016-06-14 17:42:01 UTC
A commit references this bug:

Author: pi
Date: Tue Jun 14 17:41:06 UTC 2016
New revision: 416902
URL: https://svnweb.freebsd.org/changeset/ports/416902

Log:
  graphics/djvulibre: some fixes for the icons

  - Remove graphics/librsvg2 from build dependency
  - Add DESKTOPFILES option for installation of icons and mime types
  - Use prebuilt icons instead of conversion tool to generate them
  - Adapt pkg-plist

  PR:		198087
  Submitted by:	lightside@gmx.com

Changes:
  head/graphics/djvulibre/Makefile
  head/graphics/djvulibre/pkg-plist
Comment 34 commit-hook freebsd_committer 2016-06-14 18:04:04 UTC
A commit references this bug:

Author: pi
Date: Tue Jun 14 18:03:22 UTC 2016
New revision: 416903
URL: https://svnweb.freebsd.org/changeset/ports/416903

Log:
  graphics/djview4: fix icons and some other stuff

  - Remove graphics/librsvg2 from build dependency
  - Add gettext-runtime to USES and glib20 to USE_GNOME, because
    webplugin depends from them
  - Add xext to USE_XORG
  - Remove CPPFLAGS and LDFLAGS; add localbase to USES
  - Remove verbose flag from MAKE_ENV
  - Add corelib to USE_QT4
  - Add x11 to USE_XORG in case of QT4 usage
  - Add core to USE_QT5
  - use prebuilt icons instead of conversion tool to generate them

  PR:		198087
  Submitted by:	lightside@gmx.com

Changes:
  head/graphics/djview4/Makefile
Comment 35 Kurt Jaeger freebsd_committer 2016-06-14 18:04:32 UTC
Committed, thanks!